Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QHttpResponseHeader Class Reference
[network module]

The QHttpResponseHeader class contains response header information for HTTP. More...

`#include <qhttp.h>`

Inherits QHttpHeader.

List of all member functions.

## Public Members

- QHttpResponseHeader ()
- QHttpResponseHeader ( const QHttpResponseHeader & header )
- int statusCode () const
- QString reasonPhrase () const
- virtual int majorVersion () const
- virtual int minorVersion () const

## Detailed Description

The QHttpResponseHeader class contains response header information for HTTP.

This class is used by the QHttp class to report the header information that the client received from the server.

HTTP responses have a status code that indicates the status of the response. This code is a 3-digit integer result code (for details see to RFC 1945). In addition to the status code, you can also specify a human-readable text that describes the reason for the code ("reason phrase"). This class allows you to get the status code and the reason phrase.

See also QHttpRequestHeader, QHttp, and Input/Output and Networking.

## Member Function Documentation

### QHttpResponseHeader::QHttpResponseHeader ()

Constructs an empty HTTP response header.

### QHttpResponseHeader::QHttpResponseHeader ( const QHttpResponseHeader & header )

Constructs a copy of header.

### int QHttpResponseHeader::majorVersion () const`[virtual]`

Returns the major protocol-version of the HTTP response header.

See also minorVersion(), statusCode(), and reasonPhrase().

Reimplemented from QHttpHeader.

### int QHttpResponseHeader::minorVersion () const`[virtual]`

Returns the minor protocol-version of the HTTP response header.

See also majorVersion(), statusCode(), and reasonPhrase().

Reimplemented from QHttpHeader.

### QString QHttpResponseHeader::reasonPhrase () const

Returns the reason phrase of the HTTP response header.

See also statusCode(), majorVersion(), and minorVersion().

### int QHttpResponseHeader::statusCode () const

Returns the status code of the HTTP response header.

See also reasonPhrase(), majorVersion(), and minorVersion().

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.